Bug 146843 - GUI Method of Adding Additional PPD files
GUI Method of Adding Additional PPD files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: redhat-config-printer (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 19:47 EST by Richard McGrath
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 04:35:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard McGrath 2005-02-01 19:47:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
When adding a printer that does not exist in the list of known
manufacturers/models there is not function presented that would allow
the user to add a PPD file.

This would be similar to the 'Have Disk' button that is exists in
printer configuration tools on other operating systems.  This button
allows the user to use their own 'driver' for the printer, or in the
case of CUPS, PPD file.

Many printers now come with such a file to allow them to be used on
systems such as Fedora.  However there is no obvious means by which a
user could add a PPD file?  

One must be added via other means, which makes it hard for new/novice
users.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to add a local printer that is not in the list of know makes/models
2. User is not presneted with a means of adding a new printer
'driver', or PPD file.
3.
    

Actual Results:  User must find other means of adding a PPD file manually.

Expected Results:  User should be presented with a button, or similar,
that allows them to chose a PPD file manually from another location. 
This should then updat e the list of makes and models, and highlight
the newly added priter.

Additional info:

My knowledge of CUPS/Linux printing is limited.  CUPS may be able to
accept files other than PPD files.  But the situation is the same. 
There is no feature to manually add an additional printer 'driver'.
Comment 1 Tim Waugh 2005-02-02 04:35:15 EST
Adding a PPD is right there in the menu.  Action->Import PPD...

Note You need to log in before you can comment on or make changes to this bug.